%global srcname aiomqtt
%global forgeurl https://github.com/mossblaser/%{srcname}/
# For 0.1.2, use a post-release commit that adds the necessary license files
# (https://github.com/mossblaser/aiomqtt/issues/10).
%global commit 8f3e7bef2cf86db0be286f9a3c042fa0343086be

Name:           python-%{srcname}
Version:        0.1.2
%forgemeta
Release:        2%{?dist}
Summary:        An AsyncIO asynchronous wrapper around paho-mqtt

# Eclipse Distribution License 1.0 is a BSD license. Upstream states:
#
#   This project is dual licensed under the Eclipse Public License 1.0 and the
#   Eclipse Distribution License 1.0 as described in the epl-v10 and edl-v10
#   files.
#
# and https://www.eclipse.org/legal/eplfaq.php#DUALLIC clarifies:
#
#   For Eclipse projects which are dual-licensed, your file headers state that
#   the code is being made available under two licenses. For example: "This
#   program and the accompanying materials are made available under the terms
#   of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0
#   which accompanies this distribution." What is meant by the use of the
#   conjunction "and"?
#
#   The code is being made available under both of the licenses. The consumer
#   of the code can select which license terms they wish to use, modify and/or
#   further distribute the code under.
#
# Therefore upstream’s “and” is our “or”.
License:        EPL-1.0 or BSD
URL:            %{forgeurl}
Source0:        %{forgesource}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# From install_requires; needed for tests
BuildRequires:  python3dist(paho-mqtt)

# requirements-test.txt
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
# Additional requirements for tests
BuildRequires:  mosquitto

%global common_description %{expand:
This library implements a minimal Python 3 asyncio wrapper around the MQTT
client in paho-mqtt.}

%description %{common_description}


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -n %{srcname}-%{commit}
rm -rf %{srcname}.egg-info
# https://fedoraproject.org/wiki/Changes/DeprecatePythonMock
# https://github.com/mossblaser/aiomqtt/pull/11
sed -r -i 's/(from )(mock)/\1unittest.\2/' tests/test_client.py


%build
%py3_build


%install
%py3_install


%check
%pytest


%files -n python3-%{srcname}
%license LICENSE.txt edl-v10 epl-v10
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu May 20 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.2-2
- General spec file cleanup
- Fix License field, and update to an upstream commit that includes needed
  license text files
- Use %%pytest macro to run the tests
- Patch out dependency on deprecated Python mock package

* Tue Mar 09 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-1
- Update to latest upstream release 0.1.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-4
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 10 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-2
- Better use of wildcards (rhbz#1786958)

* Sun Dec 29 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-1
- Initial package for Fedora
